// _general.scss
@import url("https://fonts.googleapis.com/css?family=Work+Sans:300,400,500");

html {
  width: 100vw;
  height: 100vh;
  min-height: 100vh;
  overflow-y: auto;
  overflow-x: hidden; // probably causing the infinite scroll issue on chrome android
  // overflow-x: visible; // posible fix

  &.scroll-lock {
    overflow-y: hidden;
  }
}

i {
  &[class*="fa-"] {
    font-size: 1em;

    &:before,
    &:after {
      font-size: inherit;
    }
  }
}

b, strong {
  color: #fff;
}

img:not(.emoji) {
  height: auto;
  text-align: center;
  overflow: hidden;

  &:before {
    content: "No se pudo cargar la imagen </3";
    background: #000;
    display: inline-block;
    padding: 30px 30px 30px 20px;
    font-weight: 400;
    color: $secondary;
    z-index: 1;
    width: calc(100% - 20px);
    box-sizing: border-box;
    height: 100%;
  }

  &:after {
    content: "";
    display: block;
    background: #000;
    z-index: 0;
    width: 20px;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
  }
}

.emoji {
  display: inline;
  width: 1.4em;
  height: 1.4em;
  margin-bottom: -0.3em;
  font-size: inherit;
  user-select: none; // unselectable
  touch-action: manipulation; // disables tap zoom
}

.hidden {
  display: none;
}

.no-results {
  p {
    color: $secondary;
    text-align: center;
  }
}

code {
  background: negro(1);
  padding: 0 5px;
  @include border-radius(3px);
}

form {
  .button {
    width: 100%;
  }

  input[type="text"],
  input[type="number"],
  input[type="email"],
  input[type="password"],
  input[type="url"],
  input[type="radio"],
  textarea:not(.markup) {
    @include font-size(2);
    @include box-sizing(border-box);
    @include transition(0.3s all ease-out);
  }

  input[type="text"],
  input[type="number"],
  input[type="email"],
  input[type="password"],
  input[type="url"] {
    height: 45px;
    width: 100%;
    background: transparent;
    border-bottom: 4px solid negro(1);
    padding: 0 15px;
    color: $primary;
    @include flexbox(row, nowrap, flex-start, center);

    &:focus,
    &:hover {
      background: negro(1);
      border-bottom: 4px solid $secondary;
    }

    &[readonly] {
      color: $secondary;
      border-bottom: 4px solid blanco("05");

      &:focus,
      &:hover {
        background: transparent;
        border-bottom: 4px solid blanco("05");
      }
    }

    &[data-error] {
      color: $narrojo;
      border-bottom: 4px solid $narrojo;

      &:focus,
      &:hover {
        border-bottom: 4px solid $narrojo;
      }
    }
  }

  input[type="radio"] {
    width: 2em;
    height: 2em;
    border: 3px solid negro(1);
    cursor: pointer;
    @include border-radius(50%);

    &:checked {
      border: 3px solid $narrojo;

      &:hover {
        border: 3px solid $narrojo;
      }

      &:after {
        background-color: #fff;
      }
    }

    &:hover {
      border: 3px solid #fff;

      &:after {
        background-color: #fff;
      }
    }

    &:after {
      content: "";
      display: block;
      background-color: #444;
      width: calc(100% - 0.6em);
      height: calc(100% - 0.6em);
      margin: 0.3em;
      @include border-radius(50%);
      @include box-sizing(border-box);
    }
  }

  input[type="checkbox"] {
    width: 2em;
    height: 2em;
    border: 3px solid negro(1);
    cursor: pointer;
    border-radius: 5px;

    &:checked {
      border: 3px solid $narrojo;

      &:hover {
        border: 3px solid $narrojo;
      }

      &:after {
        color: #fff;
      }
    }

    &:hover {
      border: 3px solid #fff;

      &:after {
        color: #fff;
      }
    }

    &:after {
      content: "🗸";
      display: block;
      color: #444;
      width: 100%;
      height: 100%;
      box-sizing: border-box;
      font-size: 1.5em;
      line-height: 100%;
      transform: translateY(-0.2em);
      margin: calc(100% - 0.75em) 0;
      text-align: center;
    }
  }

  textarea:not(.markup) {
    width: 100%;
    min-height: 100px;
    background: negro(1);
    padding: 15px;
    color: $primary;
    border: 1px solid transparent;
    @include font-size(4);
    @include border-radius(3px);

    &:focus,
    &:hover {
      border: 1px solid $secondary;
    }
  }

  a,
  label {
    display: block;
    @include font-size();
  }

  a {
    text-align: center;
  }

  label {
    color: $secondary;

    &:first-letter {
      text-transform: capitalize;
    }

    &[data-error] {
      color: $narrojo;
    }

    &[for] {
      cursor: pointer;
    }
  }

  .error {
    display: block;
    color: $narrojo;

    &:first-letter {
      text-transform: uppercase;
    }
  }
}
.greentext {
  color: $greentext;
  font-size: 1em;
}

//inicia EMOJI-MART
.emoji-mart {
  z-index: 2;
  position: fixed;
  top: 50%;
  left: 50%;
  font-family: inherit !important;
  @include box-shadow(5px 5px 15px negro(25));
  @include transform(translate(-50%, -50%));

  svg {
    * {
      fill: negro(4);
    }
  }
}

//termina EMOJI-MART
.controls {
  @include flexbox(row, nowrap, flex-end, center);

  > * {
    margin-left: 15px;
  }

  ._line {
    color: $secondary;
  }
}

.--danger {
  color: $t-error !important;
  svg {
    * {
      fill: $t-error !important;
    }
  }
  i {
    color: $t-error !important;
  }
}
